CONTOUR_SET_ACTIVE(3)

EXPERIMENTAL_FUNC
contour_set_active - Set active state for a viewable contour image.

SYNOPSIS
#include <karma_contour.h>

flag contour_set_active

(KViewableContourImage vcimage, flag active, flag force_refresh, flag refresh_if_changed)

DESCRIPTION
This routine will make a viewable contour image active or inactive.

vcimage
    The viewable contour image.

active
    If TRUE, the viewable contour image is made active, else it is made inactive.

force_refresh
    If TRUE, the canvas is always refreshed.

refresh_if_changed
    If TRUE, the canvas is refreshed if the viewable contour image active state changed.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/